- Main Page
- Related Pages
- Modules
- Classes
- Files

Functions
GLM_GTX_inertia: Intertial matrix
GTX Extensions (Experimental)

## Functions
template<typename T >
detail::tmat3x3< T > | ballInertia3 (T const &Mass, T const &Radius)
template<typename T >
detail::tmat4x4< T > | ballInertia4 (T const &Mass, T const &Radius)
template<typename T >
detail::tmat3x3< T > | boxInertia3 (T const &Mass, detail::tvec3< T > const &Scale)
template<typename T >
detail::tmat4x4< T > | boxInertia4 (T const &Mass, detail::tvec3< T > const &Scale)
template<typename T >
detail::tmat3x3< T > | diskInertia3 (T const &Mass, T const &Radius)
template<typename T >
detail::tmat4x4< T > | diskInertia4 (T const &Mass, T const &Radius)
template<typename T >
detail::tmat3x3< T > | sphereInertia3 (T const &Mass, T const &Radius)
template<typename T >
detail::tmat4x4< T > | sphereInertia4 (T const &Mass, T const &Radius)

## Detailed Description

Create inertia matrices.

<glm/gtx/inertia.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat3x3<T> glm::ballInertia3 | ( | T const & | Mass,
|  | T const & | Radius
| ) |  |

Build an inertia matrix for a ball.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::ballInertia4 | ( | T const & | Mass,
|  | T const & | Radius
| ) |  |

Build an inertia matrix for a ball.

From GLM_GTX_inertia extension.

detail::tmat3x3<T> glm::boxInertia3 | ( | T const & | Mass,
|  | detail::tvec3< T > const & | Scale
| ) |  |

Build an inertia matrix for a box.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::boxInertia4 | ( | T const & | Mass,
|  | detail::tvec3< T > const & | Scale
| ) |  |

Build an inertia matrix for a box.

From GLM_GTX_inertia extension.

detail::tmat3x3<T> glm::diskInertia3 | ( | T const & | Mass,
|  | T const & | Radius
| ) |  |

Build an inertia matrix for a disk.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::diskInertia4 | ( | T const & | Mass,
|  | T const & | Radius
| ) |  |

Build an inertia matrix for a disk.

From GLM_GTX_inertia extension.

detail::tmat3x3<T> glm::sphereInertia3 | ( | T const & | Mass,
|  | T const & | Radius
| ) |  |

Build an inertia matrix for a sphere.

From GLM_GTX_inertia extension.

detail::tmat4x4<T> glm::sphereInertia4 | ( | T const & | Mass,
|  | T const & | Radius
| ) |  |

Build an inertia matrix for a sphere.

From GLM_GTX_inertia extension.